## tuxsuite-0.43.11.tar.gz

=== Makefile ===
export PROJECT := tuxsuite
export TUXPKG_MIN_COVERAGE := 90

include $(shell tuxpkg get-makefile)

.PHONY: htmlcov tags

htmlcov:
	python3 -m pytest --cov=tuxsuite --cov-report=html

doc: docs/index.md
	mkdocs build

docs/index.md: README.md scripts/readme2index.sh
	scripts/readme2index.sh $@

doc-serve:
	mkdocs serve

flit = flit
publish-pypi:
	$(flit) publish

tags:
	ctags -R tuxsuite/ test/

=== debian/changelog ===
tuxsuite (0.43.11-1) UNRELEASED; urgency=medium

  * Initial release

 -- Senthil Kumaran <senthil.kumaran@linaro.org>  Mon, 04 Oct 2021 13:37:49 +0530

=== debian/control ===
Source: tuxsuite
Maintainer: Senthil Kumaran <senthil.kumaran@linaro.org>
Section: python
Priority: optional
Build-Depends: bash-completion,
               debhelper-compat (= 13),
               dh-python,
               flit,
               wget,
               python3-all,
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-mock,
               python3-flask,
               python3-flask-restful,
               python3-voluptuous
Standards-Version: 3.9.6
Homepage: https://tuxsuite.com/

Package: tuxsuite
Architecture: all
Depends: python3 (>= 3.6),
         python3-attr,
         python3-click,
         python3-requests,
         python3-voluptuous,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
Description: tuxsuite.com client for Linux kernel building and testing
  TuxSuite, by Linaro, is a suite of tools and services to help with Linux
  kernel development. The TuxSuite CLI is the supported interface to TuxBuild
  and TuxTest. TuxBuild is an on demand API for building massive quantities of
  Linux kernels in parallel. TuxTest is an on demand API for testing Linux
  kernels reliably and quickly.
